######################
# agent.grid
######################

type=agent.AgentDeinstallEvent
code=4.1.16
severity=0
actionable=0
desc=Agent on host '[Host_Name]' was deleted from the Config File
info=當位於客戶站點的管理員決定要從代理程式配置刪除主機時，
'便會產生此事件，藉此結束之前由該主機所執行的
'監視。

type=agent.ConfigureEvent.revision_maintenance_cron_list
code=4.46.220
severity=0
actionable=0
desc=Automatic Revision Maintenance report of patches required on the system was run.

type=agent.SystemRelease
code=4.54.16
severity=0
actionable=0
desc=This 6920 system was released by admin-20 at 2004-01-01 

type=agent.SystemReserve
code=4.55.16
severity=0
actionable=0
desc=This 6920 system was reserved by admin-20 at 2004-01-01  for maintenance


type=agent.ConfigureEvent
code=4.46.16
severity=1
actionable=0
desc=Configure device [device_name] on Sun Solution

type=agent.ProviderEvent
code=4.47.16
severity=1
actionable=0
desc=Provider 'sae' was turned on a the request of '171.20.20.10'


type=agent.AgentInstallEvent
code=4.2.16
severity=0
actionable=0
desc=Agent on host '[Host_Name]' was Added to the Config File
cause=藉由執行 ras_install 安裝並啟動了代理程式。
action=1. 檢查 Storage Automated Diagnostic Environment UI 以確認
'新代理程式有如預期般執行。


type=agent.ValueChangeEvent.system_warnings
code=4.3.142
severity=1
actionable=0
desc=Storage A.D.E agent system errors.
info=代理程式嘗試執行時發生錯誤。
'有代理程式呼叫出的指令和應用程式。
cause=資訊中說明的應用程式偶爾會因為逾時或到主機、裝置和/或
'應用程式本身的存取問題而發生錯誤。
<include solution.gui_action>
action=使用 Storage A.D.E. UI 加以隔離，以取得指定於事件說明以及
'任何可能會在系統上發生的事件中之裝置的當前
'運作狀況。
'       － 檢視警示詳細資訊
'       － 搜尋事件日誌
</include>

type=agent.ValueChangeEvent.system_errors
code=4.3.99
severity=2
actionable=1
desc=Storage A.D.E agent system errors.
info=代理程式嘗試執行時發生錯誤。
'有代理程式呼叫出的指令和應用程式。
cause=資訊中說明的應用程式和指令偶爾會因為
'逾時或到主機、裝置和/或個別應用程式的存取問題
'而發生錯誤。
<include solution.gui_action>
action=使用 Storage A.D.E. UI 加以隔離，以取得指定於事件說明以及
'任何可能會在系統上發生的事件中之裝置的當前
'運作狀況。
'       － 檢視警示詳細資訊
'       － 搜尋事件日誌
</include>


type=agent.AlternateMaster.release
code=4.53.183
severity=1
actionable=0
desc=Master on '[Host_Name]' is back, Alternate-master '[Host_Name]' releasing
info=當配置為替代主要主機的主機無法 ping 目前被配置為主要主機的主機時，該主機便會取代主要主機的職責，並重新導向所有的從屬主機以暫時將其資訊轉寄到該主機。
'變成主要主機的替代主要主機會繼續監視原始主要主機，而且會在重新建立通訊時釋出其角色。
cause=已重新建立乙太網路通訊。
action=1. 找出原始主要主機故障的原因。
'2. 確認已重新導向所有的從屬主機來回應原始主要主機，方法為將您的瀏覽器指向所有的從屬主機，或至少一些從屬主機（若有很多從屬主機），以確保到主要主機的連結是正確的。


type=agent.AlternateMaster.start
code=4.53.184
severity=1
actionable=1
desc=Master on '[Host_Name]' is down, Alternate-master on '[Host_Name]' taking over
info=當配置為替代主要主機的主機無法從配置為主要主機的主機成功得到
'ping 的回覆時，該主機便會取代主要主機的職責，
'並重新導向所有的從屬主機以轉寄其資訊到該主機。
'變成主要主機的替代主要主機會繼續監視原始主要主機，而且會
'在重新建立通訊時釋出其角色。
'警告：直到主要主機再次運作為止，
'受到主要主機監視的裝置將不會受到監視。
cause=此事件可能是因為透過乙太網路連線的主要主機通訊發生錯誤所導致。
action=1. 檢查原始主要主機的作業環境是否完全可操作。
'2. 檢查系統間的乙太網路連線。
'3. 檢查另一個系統與原始主要主機之間的乙太網路連線。
'4. 檢查替代主要主機（現為主要主機）和另一個系統之間的乙太網路連線。


type=agent.CommunicationEstablishedEvent.oob
code=4.11.31
pattern=e
severity=0
actionable=0
desc=Access to '[Host_Name]' at [IP_Address] regained
info=Storage A.D.E 在開始執行時會從主要代理程式檢查到其所有從屬代理程式的通訊，而且如果之前有某個從屬代理程式已故障但現在正在運作中，則將會產生此事件。
cause=主要代理程式每次執行時都會 ping 每個從屬代理程式，並在 ping 失敗時報告此事件。主要原因為有某個事物導致乙太網路通訊的作用不佳。
action=1. 檢查從屬代理程式的作業環境是否已重新啟動，而且這是否為計劃中的運行中斷。
'2. 確認已充份瞭解乙太網路發生錯誤的原因，以供日後疑難排解所用。


type=agent.CommunicationLostEvent.ntc
code=4.12.30
pattern=ntc
severity=2
actionable=1
desc=Lost Communication(oob) with Terminal concentrator
info=此事件只會在 Storage Solution System (3900/6900/6320) 發生，而且表示數據機無法存取，以在需要傳輸某事件可立即使用。
cause=NTC 是連接到 SP LAN，而且服務處理器和 NTC（終端集線器）之間的通訊也無法再建立。
action=1. 確認 NTC 單元的電源已開啟，而且完全可以運作。
'        a. 正面板上最左側的 3 個 LED 應該已亮起。
'2. 如果在相同的 SP LAN 上還有另一個 Storage Solution System，請檢查到該 Storage Solution System 的乙太網路通訊。
'3. 使用下列指令來檢查所有 PhoneHome 是否已列入佇列等待傳送。
'   # /usr/bin/uustat -a
'4. 聯絡遠端解決方案中心以獲得補助方法。


type=agent.CommunicationLostEvent.oob
code=4.12.31
severity=3
actionable=1
desc=Cannot access '[Host_Name]' at [IP_Address] (using udp ping)
info=Storage A.D.E 在開始執行時會從主要代理程式檢查到其所有從屬代理程式的通訊，而且如果某個從屬代理程式沒有回應，則將會產生此事件。
' 備註：若情況未修復，此訊息將會每 8 小時重複一次。
cause=主要代理程式每次執行時都會 ping 每個從屬代理程式，並在 ping 失敗時報告此事件。
action=1. 檢查主要主機和從屬主機之間的通訊。
'2. 驗證從屬主機的作業環境是否完全可操作。
'3. 在使用集線器/路由器的地方，檢查單元的電源和連接。
'4. 檢查其他系統之間的乙太網路連線。


type=agent.HeartbeatEvent
code=4.15.16
severity=0
actionable=0
desc=Heartbeat
info=除非已有來自此代理程式的傳輸，否則每天都會產生心跳事件。
cause=在供應商配置指定的間隔時間內，Storage A.D.E 尚未傳送事件到已配置的供應商。
action=1. 通常無需採取任何動作。
